import matplotlib.pyplot as plt
numargs = zipf.numargs
[ a ] = Replace with reasonable value * numargs
rv = zipf(a)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = zipf.cdf(x, a)
h = plt.semilogy(np.abs(x - zipf.ppf(prb, a)) + 1e-20)

# Random number generation

R = zipf.rvs(a, size=100)
